---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/jdk/jtreg/native/bin/NullCallerTest'
relocations:
  - { offsetInCU: 0x383A, offset: 0x383A, size: 0x8, addend: 0x0, symName: __ZNSt3__120__throw_length_errorB8ue170006EPKc, symObjAddr: 0x1E80, symBinAddr: 0x6C70, symSize: 0x50 }
  - { offsetInCU: 0xAE66, offset: 0xAE66, size: 0x8, addend: 0x0, symName: __Z9getBundleP7JNIEnv_, symObjAddr: 0x40, symBinAddr: 0x4E30, symSize: 0x6F0 }
  - { offsetInCU: 0xE754, offset: 0xE754, size: 0x8, addend: 0x0, symName: __ZN10StaticCallC1EP7JNIEnv_RKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEESA_SA_, symObjAddr: 0x7B0, symBinAddr: 0x55A0, symSize: 0xA0 }
  - { offsetInCU: 0xEB30, offset: 0xEB30, size: 0x8, addend: 0x0, symName: __ZN12InstanceCallC1EP7JNIEnv_RKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEESA_SA_, symObjAddr: 0x850, symBinAddr: 0x5640, symSize: 0xA0 }
  - { offsetInCU: 0xEF0C, offset: 0xEF0C, size: 0x8, addend: 0x0, symName: __ZN10StaticCall17callReturnNotNullEP8_jobject, symObjAddr: 0x8F0, symBinAddr: 0x56E0, symSize: 0xC0 }
  - { offsetInCU: 0xF394, offset: 0xF394, size: 0x8, addend: 0x0, symName: __ZN12InstanceCall17callReturnNotNullEP8_jobjectS1_, symObjAddr: 0x9B0, symBinAddr: 0x57A0, symSize: 0xB0 }
  - { offsetInCU: 0xF86C, offset: 0xF86C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x25B0, symBinAddr: 0x73A0, symSize: 0xB0 }
  - { offsetInCU: 0xF8D7, offset: 0xF8D7, size: 0x8, addend: 0x0, symName: __ZN10CallHelper14checkExceptionEv, symObjAddr: 0x1FB0, symBinAddr: 0x6DA0, symSize: 0x80 }
  - { offsetInCU: 0xFAA0, offset: 0xFAA0, size: 0x8, addend: 0x0, symName: __ZN10StaticCallD1Ev, symObjAddr: 0xA60, symBinAddr: 0x5850, symSize: 0x50 }
  - { offsetInCU: 0xFDF9, offset: 0xFDF9, size: 0x8, addend: 0x0, symName: __ZN12InstanceCallD1Ev, symObjAddr: 0xAB0, symBinAddr: 0x58A0, symSize: 0x50 }
  - { offsetInCU: 0x10198, offset: 0x10198, size: 0x8, addend: 0x0, symName: __ZNSt3__112basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1B8ue170006ILi0EEEPKc, symObjAddr: 0x730, symBinAddr: 0x5520, symSize: 0x80 }
  - { offsetInCU: 0x105AD, offset: 0x105AD, size: 0x8, addend: 0x0, symName: __ZNKSt3__112basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE20__throw_length_errorB8ue170006Ev, symObjAddr: 0x1E70, symBinAddr: 0x6C60, symSize: 0x10 }
  - { offsetInCU: 0x105D7, offset: 0x105D7, size: 0x8, addend: 0x0, symName: __ZNSt3__120__throw_length_errorB8ue170006EPKc, symObjAddr: 0x1E80, symBinAddr: 0x6C70, symSize: 0x50 }
  - { offsetInCU: 0x10686, offset: 0x10686, size: 0x8, addend: 0x0, symName: __ZN10CallHelperC2EP7JNIEnv_RKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEESA_SA_, symObjAddr: 0x1BF0, symBinAddr: 0x69E0, symSize: 0x280 }
  - { offsetInCU: 0x11756, offset: 0x11756, size: 0x8, addend: 0x0, symName: __ZN10StaticCallC1EP7JNIEnv_RKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEESA_SA_.cold.1, symObjAddr: 0x2890, symBinAddr: 0x7680, symSize: 0x40 }
  - { offsetInCU: 0x118EA, offset: 0x118EA, size: 0x8, addend: 0x0, symName: __ZN12InstanceCallC1EP7JNIEnv_RKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEESA_SA_.cold.1, symObjAddr: 0x28D0, symBinAddr: 0x76C0, symSize: 0x40 }
  - { offsetInCU: 0x11A21, offset: 0x11A21, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_22CallStaticObjectMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1F00, symBinAddr: 0x6CF0, symSize: 0xB0 }
  - { offsetInCU: 0x11A9D, offset: 0x11A9D, size: 0x8, addend: 0x0, symName: __ZN10CallHelper16emitErrorMessageERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE, symObjAddr: 0x2030, symBinAddr: 0x6E20, symSize: 0x4D0 }
  - { offsetInCU: 0x1227F, offset: 0x1227F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x2500, symBinAddr: 0x72F0, symSize: 0xB0 }
  - { offsetInCU: 0x1231A, offset: 0x1231A, size: 0x8, addend: 0x0, symName: __Z25registerAsParallelCapableP7JNIEnv_, symObjAddr: 0xB00, symBinAddr: 0x58F0, symSize: 0x220 }
  - { offsetInCU: 0x1387C, offset: 0x1387C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_23CallStaticBooleanMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x2660, symBinAddr: 0x7450, symSize: 0xB0 }
  - { offsetInCU: 0x138F8, offset: 0x138F8, size: 0x8, addend: 0x0, symName: __ZN10CallHelper28checkExpectedExceptionThrownERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE, symObjAddr: 0x2710, symBinAddr: 0x7500, symSize: 0xD0 }
  - { offsetInCU: 0x13BDD, offset: 0x13BDD, size: 0x8, addend: 0x0, symName: __Z7forNameP7JNIEnv_, symObjAddr: 0xD20, symBinAddr: 0x5B10, symSize: 0x1D0 }
  - { offsetInCU: 0x14C87, offset: 0x14C87, size: 0x8, addend: 0x0, symName: __Z6lookupP7JNIEnv_, symObjAddr: 0xEF0, symBinAddr: 0x5CE0, symSize: 0x250 }
  - { offsetInCU: 0x16345, offset: 0x16345, size: 0x8, addend: 0x0, symName: __Z19getResourceAsStreamP7JNIEnv_, symObjAddr: 0x1140, symBinAddr: 0x5F30, symSize: 0x850 }
  - { offsetInCU: 0x1A043, offset: 0x1A043, size: 0x8, addend: 0x0, symName: __ZN12InstanceCall17callReturnNotNullEP8_jobject, symObjAddr: 0x1990, symBinAddr: 0x6780, symSize: 0xB0 }
  - { offsetInCU: 0x1A4FB, offset: 0x1A4FB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x27E0, symBinAddr: 0x75D0, symSize: 0xB0 }
  - { offsetInCU: 0x1A566, offset: 0x1A566, size: 0x8, addend: 0x0, symName: __ZN12InstanceCall16callReturnIsNullEP8_jobjectS1_, symObjAddr: 0x1A40, symBinAddr: 0x6830, symSize: 0x90 }
  - { offsetInCU: 0x1A935, offset: 0x1A935, size: 0x8, addend: 0x0, symName: __Z19getResourceAsStreamP7JNIEnv_.cold.1, symObjAddr: 0x2910, symBinAddr: 0x7700, symSize: 0x30 }
  - { offsetInCU: 0x1AA0D, offset: 0x1AA0D, size: 0x8, addend: 0x0, symName: __Z19getResourceAsStreamP7JNIEnv_.cold.2, symObjAddr: 0x2940, symBinAddr: 0x7730, symSize: 0x30 }
  - { offsetInCU: 0x1AC28, offset: 0x1AC28, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x1AD0, symBinAddr: 0x68C0, symSize: 0x120 }
  - { offsetInCU: 0x1B146, offset: 0x1B146, size: 0x8, addend: 0x0, symName: __ZNSt12length_errorC1B8ue170006EPKc, symObjAddr: 0x1ED0, symBinAddr: 0x6CC0, symSize: 0x30 }
  - { offsetInCU: 0x1B27F, offset: 0x1B27F, size: 0x8, addend: 0x0, symName: __ZN10CallHelper28checkExpectedExceptionThrownERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE.cold.1, symObjAddr: 0x2970, symBinAddr: 0x7760, symSize: 0x21 }
...
